Skip to content

Upsert Suit

PUT
/v1/suits/{suit_id}
curl --request PUT \
--url https://example.com/v1/suits/example \
--header 'Content-Type: application/json' \
--data '{ "project_slug": "example", "account_ref": "example", "credential_ref": "example", "entry_state": "example", "role_keys": [ "example" ], "status": "example", "author": "" }'
suit_id
required
Suit Id
string
x-api-key
Any of:
string
Media typeapplication/json
SuitUpsert
object
project_slug
required
Project Slug
string
account_ref
Any of:
string
credential_ref
Any of:
string
entry_state
Any of:
string
role_keys
Any of:
Array<string>
status
Any of:
string
author
Author
string
""

Successful Response

Media typeapplication/json
Response Upsert Suit V1 Suits Suit Id Put
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}